Special:Search—add additional namespaces to search results for Bengali Wikisource
Closed, ResolvedPublic

Description

It seems there are several disjunctions between wgContentNamespaces and wgNamespacesToBeSearchedDefault. The latter is what is reflected as "Content" in the Special:Search page (see T170473 for more info).

After consulting with the community, it's been decided to add the following namespaces to $wgNamespacesToBeSearchedDefault for Bengali Wikisource:

  • Namespace 100 (Author)
  • Namespace 106 (Portal)
  • Namespace 114 (Translation, added in T114623)

Communty discussion:
https://bn.wikisource.org/wiki/%E0%A6%89%E0%A6%87%E0%A6%95%E0%A6%BF%E0%A6%B8%E0%A6%82%E0%A6%95%E0%A6%B2%E0%A6%A8:%E0%A6%B2%E0%A6%BF%E0%A6%AA%E0%A6%BF%E0%A6%B6%E0%A6%BE%E0%A6%B2%E0%A6%BE#Adding_content_namespaces_to_search_results

Restricted Application added a project: Discovery-Search. · View Herald TranscriptOct 12 2017, 4:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 383794 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] Add additional namespaces to search results for bnwikisource

https://gerrit.wikimedia.org/r/383794

wgNamespacesToBeSearchedDefault is a setting for Wikimedia sites in https://noc.wikimedia.org/conf/InitialiseSettings.php.txt , not something to change in the code base of the CirrusSearch extension. Hence this is Wikimedia-Site-requests. (I'm also not sure why this is assigned to @debt but assume this was agreed on beforehand.)
For more information about how to request these kinds of changes, please see 'Requesting wiki configuration changes'.

debt reassigned this task from debt to dcausse.Oct 12 2017, 12:44 PM
debt triaged this task as Normal priority.
Dereckson updated the task description. (Show Details)Oct 15 2017, 9:09 PM
Dereckson moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 383794 merged by jenkins-bot:
[operations/mediawiki-config@master] Add additional namespaces to search results for bnwikisource

https://gerrit.wikimedia.org/r/383794

Mentioned in SAL (#wikimedia-operations) [2017-10-16T13:38:19Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Add additional namespaces to search results for bnwikisource - T178041 (duration: 00m 49s)

debt closed this task as Resolved.Oct 16 2017, 9:51 PM